Bug 1489476 - Satellite repository should be enabled after installation
Summary: Satellite repository should be enabled after installation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide
Version: 570
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Julie
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On: 1504508
Blocks: 1506507
TreeView+ depends on / blocked
 
Reported: 2017-09-07 14:18 UTC by Jan Dobes
Modified: 2017-10-26 09:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1506507 (view as bug list)
Environment:
Last Closed: 2017-09-26 05:32:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1422938 unspecified CLOSED Update installation/upgrade steps to work with RHSM-registered system 2020-10-14 00:28:05 UTC
Red Hat Bugzilla 1490375 unspecified CLOSED latest spacewalk-schema and upgraded satellite-schema are different 2020-10-14 00:28:05 UTC

Internal Links: 1422938 1490375

Description Jan Dobes 2017-09-07 14:18:19 UTC
Description of problem:
Satellite 5.7 Installation Guide (https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html/Installation_Guide/index.html) is using different structure compared to Satellite 5.6 Installation Guide (https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.6/html/Installation_Guide/index.html).

In 5.7 Guide section 4. - there are described install scenarios for different DB variants. This is fine but some information and procedures from 5.6 Guide seem lost.

In 5.7 Guide scenarios is following order of operations:

4.1.5. Activating the Satellite Repositories
 * Here are both RHEL and Satellite repositories enabled
4.1.6. Running the Installation Program
 * Satellite is installed

In 5.6 Guide scenarios is following order of operations:

4.1.1. Base Operating System
 * Here is RHEL repository enabled
4.3.1. Running the Installer Script
 * Satellite is installed
4.4.1. Enable Satellite 5 Repository
 * Satellite repository is enabled
4.4.2. Upgrading the Satellite 5 Database Schema
4.4.3. Update Packages
4.4.4. Switch Satellite to Connected Mode
 * Required configuration is done

In general, 5.6 and 5.7 should be installed exactly same way, 5.6 version order of operations seems correct and more verbose than 5.7 version.

Actual results:
5.7 scenarios are enabling both RHEL and Satellite repositories before Satellite installation. There are missing instructions e.g. how to switch Satellite to connected mode.

Expected results:
5.7 scenarios are enabling only RHEL repository before Satellite installation. Satellite repository is enabled after Satellite installation and there are instructions what to do afterwards - how to switch Satellite to connected mode, update packages, activate etc. (as described in 5.6 documentation).

Comment 1 Andrew Dahms 2017-09-08 12:45:04 UTC
Assigning to Julie for review.


Note You need to log in before you can comment on or make changes to this bug.